/*      
   Feet of Fury
        
   gameplay/bgeffects/base_blank.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#ifndef __BASE_BLANK_H
#define __BASE_BLANK_H

// A completely blank background (draw nothing)
class BaseBlank : public Drawable {
public:
	BaseBlank() { }
	virtual ~BaseBlank() { }
	virtual void draw(int list) { }
	virtual void nextFrame() { }
};

#endif	/* __BASE_BLANK_H */

