/*      
   Feet of Fury
        
   gameplay/bgeffects/top_cubetunnel.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#ifndef __TOP_CUBETUNNEL_H
#define __TOP_CUBETUNNEL_H

#include "cubetunnel.h"

// A cube field
class TopCubeTunnel : public TopDrawable {
public:
	TopCubeTunnel(Texture * txr, bool out) {
		CubeTunnel * ct = new CubeTunnel(txr, out);
		subAdd(ct);
	}
	virtual ~TopCubeTunnel() { }

	virtual void draw(int list) {
		Drawable::draw(list);
	}
};

#endif	/* __TOP_CUBETUNNEL_H */

