/*      
   Feet of Fury
        
   bouncetxr.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.

   $Id: bouncetxr.h,v 1.4 2003/03/02 07:11:55 bard Exp $
*/

#ifndef __BOUNCETXR_H
#define __BOUNCETXR_H

class BounceTxr : public Drawable {
public:
	BounceTxr(int list, Texture * txr);
	virtual ~BounceTxr();

	virtual void draw(int list);
	virtual void nextFrame();

	void setTexture(Texture * txr);

private:
	int	m_list;
	Texture	* m_txr;
	int	m_frame;
};

#endif	/* __BOUNCETXR_H */

