/*      
   Feet of Fury
        
   cube.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#ifndef __CUBE_H
#define __CUBE_H

class Cube : public Drawable {
public:
	Cube(int list, Texture * txr);
	virtual ~Cube();

	virtual void draw(int list);

	void drawCube();

	void setTexture(Texture * newtxr);

private:
	int			m_list;
	RefPtr<Texture>		m_texture;
};

#endif	/* __CUBE_H */

