/*      
   Feet of Fury
        
   vs.h

   Copyright (C)2003 Cryptic Allusion, LLC
*/

#ifndef __VS_H
#define __VS_H

class PlayerState;
class StarField;
class Banner;
class Label;
class Topbar;

class VSDisplay : public Drawable {
public:
	VSDisplay(PlayerState * p1, PlayerState * p2);
	virtual ~VSDisplay();

	virtual void draw(int list);
	virtual void nextFrame();

	void startExit();

private:
	RefPtr<PlayerState>	m_plr[2];
	RefPtr<StarField>	m_sf;
	RefPtr<Banner>		m_banner[2];
	RefPtr<Label>		m_v, m_s;
	RefPtr<Topbar>		m_bar;

	int			m_frame;
	bool			m_needExit, m_exiting;
};

namespace VS {
	bool start(PlayerState * p1, PlayerState * p2);
	bool finish();

	void thdproc(void *p);

	extern RefPtr<VSDisplay> vsd;
	extern kthread_t	* thd;
	extern volatile bool	thdquit;
};

#endif	/* __VS_H */

