/*
   Feet of Fury

   region.cc

   Copyright (C)2003 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#include "global.h"
#include "region.h"

ConsoleRegion regionCheck() {
	int region = flashrom_get_region();

	switch (region) {
	case FLASHROM_REGION_JAPAN:
		return RegionJapan;
	case FLASHROM_REGION_EUROPE:
		return RegionEurope;
	case FLASHROM_REGION_UNKNOWN:
	case FLASHROM_REGION_US:
	default:
		return RegionUS;
	}
}
