/*      
   Feet of Fury
        
   gameplay/bgeffects/top_hoops.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#ifndef __TOP_HOOPS_H
#define __TOP_HOOPS_H

#include "loadhoops.h"

// Loading hoops (like the load screen)
class TopHoops : public TopDrawable {
public:
	TopHoops() {
		LoadHoops * lh = new LoadHoops();
		subAdd(lh);
	}
	virtual ~TopHoops() { }

	virtual void draw(int list) {
		Drawable::draw(list);
	}
};

#endif	/* __TOP_HOOPS_H */

