/*      
   Feet of Fury
        
   ed_popup.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

/*

 PUBLIC SOURCE NOTE:

 This file is no longer used. It's one of the apocryphal pieces of FoF
 that never made it into the final cut due to time.

*/


#ifndef __ED_POPUP_H
#define __ED_POPUP_H

class EditorPopup {
public:
	EditorPopup(const char * prompt, char * text, GameplaySkin * skin);
	virtual ~EditorPopup();

	// Control input per-frame
	void controlPerFrame();

	// Visuals per-frame
	void visualPerFrame();

	// Process an incoming keystroke
	void processKey(int k);

	// Contains our font renderer
	GameplaySkin	* m_gpskin;

	// Our state
	enum State {
		StateZooming = 0,
		StateInput = 1,
		StateDieing = 2,
		StateDead = 3
	};
	State		m_state;

	// Our prompt
	const char	* m_prompt;

	// Our current text input
	char		* m_text;
	int		m_curpos;

	// Did we finish or abort?
	bool		m_abort;
};

#endif	/* __ED_POPUP_H */

