/*      
   Feet of Fury
        
   gamemode.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#ifndef __GAMEMODE_H
#define __GAMEMODE_H

class GameMode : public Drawable {
public:
	GameMode();
	virtual ~GameMode();

	virtual void draw(int list) {
		if (list != PLX_LIST_TR_POLY)
			return;

		drawGamemode();
	}

	virtual void nextFrame();

	// Change modes
	void setMode(int mode);

private:
	void drawGamemode();

	float	m_xpos, m_ypos;
	float	m_xvel;
	int	m_mode, m_modeto;
	
	RefPtr<Texture>		m_txrs[2];
};

#endif	/* __GAMEMODE_H */

