/*      
   Feet of Fury
        
   plasma.h

   Copyright (C)2002 Cryptic Allusion, LLC

   See the file LICENSE for more info on usage.
*/

#ifndef __PLASMA_H
#define __PLASMA_H

class Plasma : public Drawable {
public:
	Plasma(int list);
	virtual ~Plasma();

	virtual void draw(int list);
	virtual void nextFrame();

	void setSize(float w, float h);

private:
	int		m_list;
	pvr_ptr_t	m_txr[2];
	pvr_poly_hdr_t	m_hdr[2];
	int		m_txr_cur;

	short		m_xang, m_yang;
	short		m_xamp, m_yamp;
	float		m_w, m_h;
	float		m_hsv;
};

#endif	/* __PLASMA_H */

