#!/usr/bin/env python

# This util will tack on the uncompressed size of a PAK file to the
# beginning of a compressed PAK file, for loading in the game.

import sys,os,stat

# Get the size of the original file
st = os.stat(sys.argv[1])

# Turn the size into a nice little-endian dword
size = st[stat.ST_SIZE]

sizearr = \
	chr(size & 0xff) + \
	chr((size >> 8) & 0xff) + \
	chr((size >> 16) & 0xff) + \
	chr((size >> 24) & 0xff)

# Prepend it to the new file
f = open(sys.argv[2] + ".tmp", "wb")
f.write(sizearr)
f.close()

os.system("cat %s >> %s" % (sys.argv[2], sys.argv[2] + ".tmp"))
os.system("mv %s %s" % (sys.argv[2] + ".tmp", sys.argv[2]))
